import Image from 'next/image'
import UserBox from 'src/components/UserBox/UserBox'
import {
  Card,
  CardContent,
  CardDescription,
  CardFooter,
  CardHeader,
  CardTitle,
} from '@/components/ui/card'
import { Button } from '@/components/ui/button'
import { Input } from '@/components/ui/input'
import { Label } from '@/components/ui/label'
import { DialogRecupSenha } from '@/components/DialogRecupSenha/DialogRecupSenha'


export default function Home() {
  return (
    <main className='h-full flex min-h-screen flex-x-24 items-center justify-center p-24 space-x-10'>
      {/* Image Section */}
      <Image
        className='full'
        src='/sire_logo.svg'
        width={550}
        height={550}
        alt='siri'
      />    

      {/* Card Section */}
      <Card className='bg-background text-secundary border-none sm:w-[400px]'>
        {/* Card Header */}
        <CardHeader>
          <CardTitle>Faça seu login</CardTitle>
        </CardHeader>

        {/* Card Content */}
        <CardContent>
          <form>
            <div className='grid w-full items-center gap-4'>
              {/* Email Input */}
              <div className='flex flex-col space-y-1.5'>
                <Label htmlFor='e-mail'>E-mail</Label>
                <Input
                  id='e-mail'
                  className='bg-secundary text-black'
                  placeholder='Digite seu e-mail'
                  type='email'
                />
              </div>

              {/* Password Input */}
              <div className='flex flex-col space-y-1.5'>
                <Label htmlFor='password'>Senha</Label>
                <Input
                  id='password'
                  className='bg-secundary text-black'
                  placeholder='Digite sua senha'
                  type='password'
                />
              </div>
            </div>
          </form>
        </CardContent>

        {/* Card Footer */}
        <CardFooter className='flex justify-between items-center'>
          <div className='flex items-center space-x-2'>
            <DialogRecupSenha />
          </div>
          <Button>Entrar</Button>
        </CardFooter>
      </Card>
    </main>
  )
}
