import { Avatar, AvatarFallback, AvatarImage } from "./ui/avatar";
import { Button } from "./ui/button";
import Link from 'next/link';




export function HeaderChat({ name, icon, email }) {
    return (
      <div className='ml-2 mt-6 relative flex items-center p-[26px] gap-5 rounded-md bg-background w-full h-[140px] '>
          <Link href="/chats">
              <Button className='mr-4 self-start bg-transparent'>
                  Voltar
              </Button>
          </Link>

        <div className="flex-grow flex items-center gap-4"> 
            <div>
                <Avatar>
                    <AvatarImage src="https://github.com/shadcn.png" alt="@shadcn" />
                </Avatar> 
            </div>

            <div>
                <div className="font-bold">
                    {name}
                </div>
                <div className="font-sans font-bold not-italic text-xs text-slate-300 mt-2">
                    {email}
                </div>
            </div>
        </div>

        <Button>
            Relatório
        </Button>
    </div>
  )
}
