import RoomCard from "../RoomCard/RoomCard";
import { ScrollArea } from "../ui/scroll-area";

const fetchRooms = async() => {
    const res = await fetch('http://localhost:8000/rooms/', { cache: 'no-store' })

  if(res.ok){
    return res.json()
  }
}

export const HomeSalas =  async() => {
    const rooms = await fetchRooms();

    return (
        <main className='flex justify-center mt-1 h-full pl-8 pb-8'>
            <ScrollArea className="w-full pr-3" > 
                <div className='block gap-4 mr-[4px] xl:grid xl:grid-cols-2'>
                    {rooms.map((item, index) => (
                        <RoomCard key={index} name={item.name} description={item.description} participants={item.participants}/>
                    ))}
                </div>
            </ScrollArea>
        </main>
    )
}