import { Button } from '@/components/ui/button'
import { Textarea } from '@/components/ui/textarea'

import {
  Dialog,
  DialogContent,
  DialogFooter,
  DialogHeader,
  DialogTitle,
  DialogTrigger,
} from '@/components/ui/dialog'
import { Input } from '@/components/ui/input'
import { Label } from '../ui/label'

export function ModalCriarSala() {
  return (
    <Dialog>
      <DialogTrigger asChild>
        <Button
          className='text-tertiaryDark grid'
          variant='link'
        >
          Criar Sala
        </Button>
      </DialogTrigger>
      <DialogContent className='sm:max-w-[425px]'>
        <DialogHeader>
          <DialogTitle>Criar Sala</DialogTitle>
        </DialogHeader>
        <div className='grid w-full max-w-sm items-center gap-1.5'>
          <Label htmlFor='email'>Nome sala</Label>
          <Input
            type='email'
            id='email'
            placeholder='Digite sua sala aqui.'
          />
        </div>
        <div className='grid w-full gap-1.5'>
          <Label htmlFor='message'>Descrição</Label>
          <Textarea
            placeholder='Escreva sua descrição aqui.'
            id='message'
          />
        </div>
        <DialogFooter>
          <Button type='submit'>Enviar</Button>
        </DialogFooter>
      </DialogContent>
    </Dialog>
  )
}
