import './UserBox.css'
import Link from 'next/link';

import { Avatar, AvatarFallback, AvatarImage } from '../ui/avatar';
export default function UserBox({name, icon}){

    const split = (name) => {
        const words = name.split(' ');
        const initials = words.map(word => word.charAt(0)).slice(0, 2).join('');
        return initials;
        }
       
    
    return(
        <Link href={`/chats/${name}`}>
        <div className="user-container">
            <div className="user-box-image">
                <div>
                    <Avatar>
                        <AvatarImage src="https://github.com/shadcn.png" alt="@shadcn" />
                        <AvatarFallback>{split(name)}</AvatarFallback>
                    </Avatar>
                </div> 
            </div>
            <div className='user-box-text'>
                {name} 
            </div>
        </div>
        </Link>
    )
}